# Generated by Django 5.0.4 on 2024-05-16 12:31

import wagtail
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0187_districtcustompage_new_content_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcustompage",
            name="new_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "button_link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz tlačítka"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        label="Text tlačítka"
                                                    ),
                                                ),
                                            ],
                                            label="Tlačítko",
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "button_link",
                                    wagtail.blocks.URLBlock(label="Odkaz tlačítka"),
                                ),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(label="Text tlačítka"),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            template="styleguide2/includes/atoms/text/prose_richtext.html"
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        # migrations.RunPython(migrate_custom_page_header_blocks),
    ]
